DATE(1)

NAZWA
date - wyświetla lub ustawia datę i czas systemowy

SKŁADNIA
date [OPCJA]... [+FORMAT]
date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]

OPIS

Wyświetla aktualną datę i czas w podanym FORMACIE. Z opcją -s lub przy [MMDDhhmm[[CC]YY][.ss]] ustawia datę systemową.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-d, --date=ŁAŃCUCH
    wyświetla czas podany w ŁAŃCUCHU, nie aktualny

--debug
    odnotowuje przetwarzaną datę i ostrzega o potencjalnie nieprawidłowym użyciu na standardowe wyjście błędów

-f, --file=PLIK-DAT
    jak --date; dla każdego wiersza PLIKU-DAT

-I[FORMAT], --iso-8601[=FORMAT]
    wypisuje datę/czas w formacie ISO 8601. FORMAT=date daje samą datę (domyślnie), natomiast hours, minutes, seconds lub ns daje datę i czas o określonej precyzji. Przykład: 2006-08-14T02:34:56-06:00

--resolution
    wypisuje dostępną rozdzielczość znaczników czasu. Przykład: 0.000000001

-R, --rfc-email
    wyświetla czas i datę w formacie RFC 5322. Przykład: Mon, 14 Aug 2006 02:34:56 -0600

--rfc-3339=FORMAT
    wyświetla czas i datę w formacie RFC 3339. FORMAT=date, seconds lub ns wyświetla czas i datę z żądaną precyzją. Przykład 2006-08-14 02:34:56-06:00

-r, --reference=PLIK
    wyświetla czas ostatnie modyfikacji PLIKU

-s, --set=ŁAŃCUCH
    ustawia czas na opisany w ŁAŃCUCHU

-u, --utc, --universal
    wyświetla lub ustawia czas uniwersalny (UTC)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Wszystkie opcje określające datę do wyświetlenia wzajemnie się wykluczają. Dotyczy to: --date, --file, --reference, --resolution.

FORMAT określa wyjście. Rozpoznawane sekwencje:

%%  literalny znak procenta %

%a  lokalny skrót nazwy dnia tygodnia (np. nie)

%A  lokalna pełna nazwa dnia tygodnia (np. niedziela)

%b  lokalny skrót nazwy miesiąca (np. sty)

%B  lokalna pełna nazwa miesiąca (np. styczeń)

%c  lokalna data i czas (np. czw mar 3 23:05:25 2005)

%C  stulecie, jak %Y, tylko z obciętymi ostatnimi dwiema cyframi (np. 20)

%d  dzień miesiąca (np. 01)

%D  data (niejednoznaczne), to samo co %m/%d/%y

%e  dzień miesiąca uzupełniony spacjami, jak %_d

%F  pełna data; jak %+4Y-%m-%d

%g  ostatnie dwie cyfry roku numeru tygodnia ISO (niejednoznaczne; 00-99; zob. %G)

%G  rok numeru tygodnia ISO; użyteczny zwykle jedynie z %V

%h  to samo co %b

%H  godzina (00..23)

%I  godzina (01..12)

%j  dzień roku (001..366)

%k  godzina, uzupełniona spacją ( 0..23); to samo co %_H

%l  godzina, uzupełniona spacją ( 1..12); to samo co %_I

%m  miesiąc (01..12)

%M  minuta (00..59)

%n  znak nowego wiersza

%N  nanosekundy (000000000..999999999)

%p  lokalny odpowiednik AM lub PM; w wielu językach pusty (w tym w polskim)

%P  jak %p, lecz małymi literami

%q  kwartał roku (1..4)

%r  czas w formacie 12-godzinnym (np. 11:11:04 PM)

%R  godzina i minuty w formacie 24-godzinnym; to samo co %H:%M

%s  liczba sekund od Epoki (1970-01-01 00:00 UTC)

%S  sekunda (00..60)

%t  tabulator

%T  czas; to samo co %H:%M:%S

%u  dzień tygodnia (1..7); 1 to poniedziałek

%U  numer tygodnia w roku, niedziela zaczyna tydzień (00..53)

%V  numer tygodnia ISO, poniedziałek zaczyna tydzień (01..53)

%w  dzień tygodnia (0..6); 0 oznacza niedzielę

%W  numer tygodnia w roku, poniedziałek zaczyna tydzień (00..53)

%x  data wg ustawień językowych (może być niejednoznaczna; np. 19.03.2012)

%X  reprezentacja czasu wg ustawień językowych (np. 23:13:48)

%y  ostatnie dwie cyfry roku (niejednoznaczne; 00..99)

%Y  rok

%z  numeryczna strefa czasu +hhmm (np. -0400)

%:z numeryczna strefa czasu +hh:mm (np. -04:00)

%::z
    numeryczna strefa czasu +hh:mm:ss (np. -04:00:00)

%:::z
    numeryczna strefa czasu z : do wymaganej precyzji (np. -04, +05:30)

%Z  alfabetyczny skrót strefy czasowej (np. EDT)

Domyślnie, date wypełnia pola numeryczne zerami. Następujące opcjonalne modyfikatory mogą być umieszczone po %:

-   (łącznik) nie wypełnia pola

_   (podkreślenie) wypełnianie spacjami

0   (zero) wypełnianie zerami

+   wypełnianie zerami, oraz dodanie znaku + przed przyszłymi latami z >4 cyframi.

^   używa wielkich liter, jeśli to możliwe

#   zamienia wielkość liter, jeśli to możliwe

Po każdym modyfikatorze można opcjonalnie podać szerokość, jako liczbę dziesiętną; a na końcu kolejny opcjonalny modyfikator, który może przyjąć wartość E, aby używać alternatywnej, lokalnej reprezentacji, jeśli jest dostępna lub O, aby użyć alternatywnych, lokalnych symboli liczbowych, jeśli są dostępne.

PRZYKŁADY
Konwertuje sekundy od Epoki Uniksa (1970-01-01 UTC) na datę

    $ date --date='@2147483647'

Pokazuje czas na zachodnim wybrzeżu USA (używa tzselect(1), aby znaleźć TZ)

    $ TZ='America/Los_Angeles' date

Pokazuje lokalny czas dla godziny 9 rano następnego piątku na wschodnim wybrzeżu USA

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

ŁAŃCUCH DATY
Łańcuch opcji --date=ŁAŃCUCH może być prawie dowolnym dającym się odczytać przez człowieka (po angielsku!) łańcuchem, takim jak "Sun, 29 Feb 2004 16:21:42 -0800" lub "2004-02-29 16:21:42", a nawet "next Thursday". Łańcuch daty może zawierać odniesienia do daty kalendarzowej, pory dnia, strefy czasowej, dnia tygodnia, względnego czasu, względnej daty i liczb. Łańcuch pusty wskazuje początek dnia. Łańcuch daty jest bardziej złożony niż to wyjaśniono w niniejszym podręczniku, ale jest w pełni opisany w dokumentacji info.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/date>
lub lokalnie, za pomocą info '(coreutils) date invocation'

Spakietowane przez Debiana (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org>, Rafał Maszkowski <rzm@icm.edu.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.